/* -------------------------------------------------------------------------- */
/* -                   Astronomical Telescope Control                       - */
/* -                         XmTel Header File                              - */
/* -------------------------------------------------------------------------- */
/*                                                                            */
/* Copyright (c) 2008-2012 John Kielkopf                                      */
/* kielkopf@louisville.edu                                                    */
/*                                                                            */
/* This file is part of XmTel.                                                */
/*                                                                            */
/* Distributed under the terms of the General Public License (see LICENSE)    */ 
/*                                                                            */
/* Date: August 15, 2012                                                      */
/* Version: 6.0                                                               */


/* Useful values */

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

/* User interface polling */

#define	POLLMS      1000   /* Poll period, ms */

/* Menu flags */

#define OK         1     
#define CANCEL     2

/* Menu item identifiers */

#define NEWQUEUE        1
#define NEWLOG          2
#define NEWCONFIG       3
#define EXIT            4
#define EDITQUEUE       5 
#define EDITLOG         6 
#define EDITCONFIG      7
#define POINTOPTION1    8
#define POINTOPTION2    9
#define POINTOPTION4   10
#define POINTOPTION8   11
#define REFTARGET      12
#define REFWCS         13
#define REFCLEAR       14
#define REFSAVE        15
#define REFRECALL      16
#define REFDEFAULT     17
#define MODELEDIT      18
#define MODELCLEAR     19
#define MODELSAVE      20
#define MODELRECALL    21
#define MODELDEFAULT   22


#define FOCUS          23
#define ROTATE         24
#define FAN            25
#define HEATER         26

/* Focus panel identifiers */

#define FOCUSIN        1
#define FOCUSOUT       2
#define FOCUSOK        4

/* Rotate panel identifiers */

#define ROTATECW       1
#define ROTATECCW      2
#define ROTATEOK       3

/* Fan panel identifiers */

#define FANOK          1

/* Heater panel identifiers */

#define HEATEROK       1

/* Target input flags */

#define RA        1               
#define DEC       2               

/* Configuration file */

#define CONFIGFILE "/usr/local/observatory/prefs/prefs.tel"

/* Reserve space for characters in file descriptors */

#define MAXPATHLEN  100

/* Default log and queue files */

#define LOGFILE   "telescope.log"
#define QUEUEFILE "target.que"


/* Default log and queue editor e.g. nedit or gedit */

#define XMTEL_EDITOR  "nedit"

/* User interface feature flags */

#define FOCUSDISABLED   0   /* If greater than 0 function is disabled */
#define ROTATEDISABLED  0   /* If greater than 0 function is disabled */
#define THERMALDISABLED 0   /* If greater than 0 function is disabled */
#define HEATERDISABLED  0   /* If greater than 0 function is disabled */


/* Defaults for site may be modified by prefs file */

#define LONGITUDE      85.5300
#define LATITUDE       38.3334
#define ALTITUDE      230.0000
#define TEMPERATURE    20.0
#define PRESSURE      760.0
#define PARKHA          -5.999
#define PARKDEC         89.999
#define TELSERIAL     "/dev/ttyUSB0"
#define ARCSECPERPIX  0.5



/* Moore Observatory - Louisville, Kentucky USA */

/* #define LONGITUDE      85.5300 */
/* #define LATITUDE       38.3334 */
/* #define ALTITUDE      230.0000 */

/* Mt. Kent Observatgory - Toowoomba, Australia */

/*   #define LONGITUDE     -151.855278 */
/*   #define LATITUDE      -27.797778  */
/*   #define ALTITUDE      682.00      */



